version: '3.9'
services:
  elasticsearch:
    image: docker.elastic.co/elasticsearch/elasticsearch:7.5.2
    container_name: elastic-main
    volumes:
      - esdata01:/usr/share/elasticsearch/data
      - logs:/var/log/elasticsearch
    deploy:
      resources:
        limits:
          memory: 1Gb
    ports:
      - 9300:9200

  elastic-restore:
    image: docker.elastic.co/elasticsearch/elasticsearch:7.5.2
    container_name: elastic-restore
    volumes:
      - config:/usr/share/elasticsearch/config
    deploy:
      resources:
        limits:
          cpus: '1'
          memory: 2Gb
        reservations:
          cpus: '0.50'
          memory: 1Gb
    ports:
      - 9200:9100
volumes:
  esdata01:
  logs:
  config:
